Subject: bug#27410: Emacs CEDET and Semantic c-mode problem

From: Glenn Morris <[email-masked]>
Date: Mon, 19 Jun 2017 18:05:10 -0400

(Please reply to all.)

emin orhan özbakır wrote:

> I am new user. I type line to terminal. And error returned.
>
> [lynx@cjs ~]$ LC_ALL=C cpp -E -dM -x c++ /dev/null
> bash: warning: setlocale: LC_ALL: cannot change locale (C cpp -E -dM -x c++
> /dev/null): Invalid argument

I don't know how to explain that result, unless you actually typed:

LC_ALL="C cpp -E -dM -x c++ /dev/null"

(in quotes)

> cpp: internal compiler error: Segmentation fault (program cc1plus)

But then if you did type "..." I don't know how or why cpp apparently ran.

In any case, it looks like the problem is with your system, not with Emacs.
I would suggest asking for help on a Fedora users list.